package hmggirlfront.block;

import hmggirlfront.block.tile.TileEntity_Base_Materials;
import net.minecraft.block.state.IBlockState;
import net.minecraft.tileentity.TileEntity;
import net.minecraft.util.EnumBlockRenderType;
import net.minecraft.world.World;

public class Block_Base_Materials extends Block_BaseBase
{

    public Block_Base_Materials()
    {
        super();
    }

    @Override
	public TileEntity createNewTileEntity(World worldIn, int meta) {
		return new TileEntity_Base_Materials();
	}
    
   /* public boolean onBlockActivated(World worldIn, BlockPos pos, IBlockState state, EntityPlayer playerIn, EnumHand hand, EnumFacing facing, float hitX, float hitY, float hitZ)
    {
    	if (playerIn.isSneaking()) {
			TileEntityMission_1 tile = (TileEntityMission_1) worldIn.getTileEntity(pos);
			if (tile.spwan_range < 128) {
				tile.spwan_range = tile.spwan_range + 16;
			} else {
				tile.spwan_range = 64;
			}
			{
				Entity entity = null;
				int k = pos.getX();
				int l = pos.getY();
				int i = pos.getZ();
				AxisAlignedBB axisalignedbb = (new AxisAlignedBB((double) (k - 100), (double) (l - 20),
						(double) (i - 100), (double) (k + 100), (double) (l + 20), (double) (i + 100)))
								.grow(200);
				List llist = worldIn.getEntitiesWithinAABBExcludingEntity(entity, axisalignedbb);
				double d0 = 8.0D;
				if (llist != null) {
					for (int lj = 0; lj < llist.size(); lj++) {

						Entity entity1 = (Entity) llist.get(lj);
						if (entity1.canBeCollidedWith()) {
							if (entity1 instanceof EntityPlayer && entity1 != null && !worldIn.isRemote) {
								EntityPlayer placer = (EntityPlayer) entity1;
								String le = String.valueOf(tile.spwan_range);
								((EntityPlayer) placer).sendMessage(
										new TextComponentTranslation("SpawnRange : " + le, new Object[0]));
							}

						}
					}
				}
			}
			return true;
		}else {
			TileEntity tileentity = worldIn.getTileEntity(pos);
			if (worldIn.isRemote)
	        {
				if (tileentity instanceof TileEntityMission_1) {
					TileEntityMission_1 tile = (TileEntityMission_1)tileentity;
					tile.setTicks(tile.getTicks());
					tile.setLevel(tile.getLevel());
					tile.setHP(tile.getHP());
					tile.spwan_range = tile.spwan_range;
				}
	            return true;
	        }
	        else
	        {
	        	if (!playerIn.isSneaking()) {
					if (tileentity instanceof TileEntityMission_1) {
						int x = pos.getX();
						int y = pos.getY();
						int z = pos.getZ();
						playerIn.openGui(mod_GVCLib.INSTANCE, 1, playerIn.world, x, y, z);
						//System.out.println(String.format("input"));
					}
				}
	            return true;
	        }
		}
    }*/
    
    public boolean isFullCube(IBlockState state)
    {
        return false;
    }

    /**
     * Used to determine ambient occlusion and culling when rebuilding chunks for render
     */
    public boolean isOpaqueCube(IBlockState state)
    {
        return false;
    }
    
    /**
     * The type of render function called. 3 for standard block models, 2 for TESR's, 1 for liquids, -1 is no render
     */
    public EnumBlockRenderType getRenderType(IBlockState state)
    {
        return EnumBlockRenderType.MODEL;
    }
    
    

	

}